Subject: bug#19392: Emacs searches for dabbrevs in archive buffers

From: Eli Zaretskii <[email-masked]>
Date: Tue, 16 Dec 2014 17:39:41 +0200

> Date: Tue, 16 Dec 2014 10:32:13 +0100
> From: Paul Pogonyshev <[email-masked]>
> 
> * In a freshly started Emacs, open an archive, e.g. a .tar.gz file in a buffer.
> * Switch to another buffer, type a couple of letters and then start pressing
> 'M-/' (dabbrev-expand).
> * It is very likely you will hit a "very useful" dabbrev in binary form taken
> from the archive. E.g. I opened a large tarball, then switched to *scratch*,
> typed "tz", and the very first dabbrev I got was "tz\327r".
> 
> Request: Emacs should ignore archive and other binary buffers when generating
> dabbrevs.

What is the definition of "archive" for this purpose?

Also, when you visit a .tar.gz file, isn't most of the buffer readable
text (because Emacs automatically decompresses the archive)?